        body {
            margin: 0;
            font-family: Arial, sans-serif;
            display: flex;
            flex-direction: column;
            min-height: 100vh;
        }

        header {
            position: sticky;
            top: 0;
            background-color: #333;
            color: white;
            padding: 10px 20px;
            z-index: 1000;
        }

        header a {
            display: flex;
            align-items: center;
            text-decoration: none;
            color: white;
        }

        header img {
            height: 40px;
            margin-right: 10px;
        }

        .content {
            flex-grow: 1;
            padding: 20px;
            background-color: #f9f9f9;
            color: #333;
        }

        #map {
            flex-grow: 1;
            height: 400px; /* Example height for the map */
        }

        footer {
            background-color: #333;
            color: white;
            text-align: center;
            padding: 10px;
        }

        footer a {
            color: white;
            margin: 0 10px;
            text-decoration: none;
            font-size: 1.2em;
        }

        footer p {
            margin-top: 10px;
        }

                div.gallery {
            margin: 5px;
            border: 1px solid #ccc;
            float: left;
            width: 180px;
        }

        div.gallery:hover {
            border: 1px solid #777;
        }

        div.gallery img {
            width: 100%;
            height: auto;
        }

        div.desc {
            padding: 15px;
            text-align: center;
        }
        p.clear {
            clear: left;
        }
